SRS Integration Partner Services
HomeAPIs
HomeAPIs
  1. Orders
  • Authentication
    • Token
      POST
  • Orders
    • Delivery Details
      GET
    • Deliveries List
      POST
    • Proof of Delivery
      GET
    • Order Details
      GET
    • Order List
      POST
    • Submit Order
      POST
  • Invoices
    • Invoice Details
      GET
    • Invoices List
      POST
    • Invoice Pdf
      GET
  • Products
    • Price
      POST
    • UOM Conversion
      GET
    • Color Recommendations
      POST
    • Catalog Item Convert
      POST
    • Catalog
      GET
    • By Item Codes
      POST
  • Customers
    • Customer Details
      GET
    • Validate Customer
      GET
    • Order Templates
      GET
  • Branches
    • Branch Locations
      GET
    • Active Branch Products
      GET
    • Customer Branch Locations
      GET
  • Deliveries
    • Coordinates
      GET
  1. Orders

Deliveries List

POST
/deliveries/list
Proof of order delivery and other shipment information.

Request

Header Params

Body Params application/json

Example
{
  "branchCode": "RFMAY",
  "customerNumber": "FIF123",
  "shipToSequenceNumber": 1,
  "orderId": 10,
  "orderFromDate": "2019-03-03",
  "orderToDate": "2018-04-01",
  "rowReturnLimit": 100
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://services-qa.roofhub.pro/deliveries/list' \
--header 'Authorization: Bearer' \
--header 'Content-Type: application/json' \
--data '{
  "branchCode": "RFMAY",
  "customerNumber": "FIF123",
  "shipToSequenceNumber": 1,
  "orderId": 10,
  "orderFromDate": "2019-03-03",
  "orderToDate": "2018-04-01",
  "rowReturnLimit": 100
}'

Responses

🟢200Deliveries list
application/json
Bodyapplication/json

Example
{
    "orderNumber": 0,
    "orderDate": "1970-01-01T00:00:00.000Z",
    "PONumber": "string",
    "deliveryDate": "1970-01-01T00:00:00.000Z",
    "deliveryWindow": "string",
    "shipToAddress1": "string",
    "shipToAddress2": "string",
    "shipToAddress3": "string",
    "shipToCityStateZip": "string",
    "shipToPhone": "string",
    "shipToEmail": "string",
    "jobNumber": "string",
    "notes": "string",
    "branchLogo": "string",
    "branchCode": "string",
    "branchName": "string",
    "branchAddress": "string",
    "branchCityStateZip": "string",
    "branchFax": "string",
    "branchPhone": "string",
    "status": "string",
    "descartesTimeStamp": "string",
    "truckId": "string"
}
🟢200Deliveries list - Demo Customer
Modified at 2026-04-09 18:21:01
Previous
Delivery Details
Next
Proof of Delivery
Built with